> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List available networks



## OpenAPI

````yaml /api-reference/services_documented/fastedge_reseller_api.yaml get /fastedge/v1/admin/networks
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Reseller Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: FastEdge Reseller Apps
    x-displayName: Apps
  - description: Plans are sets of limits (memory amount, timeout), applied to edge apps
    name: Plans
    x-displayName: Plans
  - description: Client groups for template visibility
    name: Groups
    x-displayName: Groups
  - description: Billing and BI-related APIs
    name: Billing
    x-displayName: Billing
  - name: fastedge_reseller_other
    x-displayName: other
paths:
  /fastedge/v1/admin/networks:
    get:
      tags:
        - fastedge_reseller_other
      summary: List available networks
      operationId: listResellerNetworks
      parameters:
        - description: ID of the client the networks are applicable to
          in: query
          name: client_id
          schema:
            type: integer
            format: int64
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  networks:
                    description: List of available networks
                    items:
                      $ref: '#/components/schemas/network'
                    type: array
                required:
                  - networks
          description: Returns list of available networks for the client
components:
  schemas:
    network:
      type: object
      required:
        - name
        - is_default
      properties:
        name:
          type: string
          description: Network name
          minLength: 1
          maxLength: 64
          pattern: ^[a-z0-9][a-z0-9_-]*[a-z0-9]$
        is_default:
          type: boolean
          description: Is network is default
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````